'use strict';

exports.__esModule = true;

var _promise2 = require('babel-runtime/core-js/promise');

var _promise3 = _interopRequireDefault(_promise2);

var _keys = require('babel-runtime/core-js/object/keys');

var _keys2 = _interopRequireDefault(_keys);

var _mkPatterns = require('mk-element-ui2/lib/datas/mk-patterns');

var _mkPatterns2 = _interopRequireDefault(_mkPatterns);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _empty = function _empty(ooo) {
  (0, _keys2.default)(ooo).forEach(function (key) {
    ooo[key] = null;
  });
};
var _emptyIf = function _emptyIf(ooo) {
  (0, _keys2.default)(ooo).forEach(function (key) {
    if (ooo[key] === '') ooo[key] = null;
  });
};
var _promise = function _promise(_ref) {
  var _this = this;

  var fn = _ref.fn,
      target = _ref.target,
      _ref$nodejs = _ref.nodejs,
      nodejs = _ref$nodejs === undefined ? true : _ref$nodejs,
      _ref$last = _ref.last,
      last = _ref$last === undefined ? true : _ref$last;

  return function () {
    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    // eslint-disable-next-line no-undef
    return new _promise3.default(function (resolve, reject) {
      args[last === true ? 'push' : 'unshift'](function (err) {
        for (var _len2 = arguments.length, data = Array(_len2 > 1 ? _len2 - 1 : 0), _key2 = 1; _key2 < _len2; _key2++) {
          data[_key2 - 1] = arguments[_key2];
        }

        if (nodejs === false) {
          return resolve.apply(_this, [err].concat(data));
        }
        if (err === null || err === undefined) {
          return resolve.apply(_this, data);
        }
        return reject(err);
      });
      if (target) {
        fn.apply(target, args);
      } else {
        fn.apply(null, args);
      }
    });
  };
};
var _sleep = function _sleep(time) {
  // eslint-disable-next-line no-undef
  return new _promise3.default(function (resolve) {
    return setTimeout(resolve, time);
  });
};
var install = function install(Vue) {
  Vue.prototype.$empty = _empty;
  Vue.prototype.$emptyIf = _emptyIf;
  Vue.prototype.$promise = _promise;
  Vue.prototype.$sleep = _sleep;
  Vue.prototype.$pattern = _mkPatterns2.default;
};
exports.default = {
  install: install
};