'use strict';

exports.__esModule = true;
var install = function install(Vue) {
  Vue.directive('auto-height', {
    inserted: function inserted(el, binding) {
      el.style.height = document.documentElement.clientHeight - el.getBoundingClientRect().top + (binding.value || 0) + 'px';
      el.style.overflowY = 'auto';
    }
  });
};
exports.default = {
  install: install
};