'use strict';

exports.__esModule = true;

var _mkNumberUtil = require('mk-element-ui2/lib/utils/mk-number-util');

var _mkNumberUtil2 = _interopRequireDefault(_mkNumberUtil);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var install = function install(Vue) {
  Vue.filter('mathMoney', function (value, prefix, def) {
    return _mkNumberUtil2.default.money(value, prefix, def);
  });
  Vue.filter('mathMoneyIf', function (value) {
    var flag = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    var prefix = arguments[2];
    var def = arguments[3];

    if (flag === true) {
      return _mkNumberUtil2.default.money(value, prefix, def);
    } else {
      return value;
    }
  });
  Vue.filter('mathAdd', function (value) {
    for (var _len = arguments.length, args = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      args[_key - 1] = arguments[_key];
    }

    return _mkNumberUtil2.default.add.apply(_mkNumberUtil2.default, [value].concat(args));
  });
  Vue.filter('mathRound', function (value, numDigits, upOrDown) {
    return _mkNumberUtil2.default.round(value, numDigits, upOrDown);
  });
  Vue.filter('mathSub', function (value) {
    for (var _len2 = arguments.length, args = Array(_len2 > 1 ? _len2 - 1 : 0), _key2 = 1; _key2 < _len2; _key2++) {
      args[_key2 - 1] = arguments[_key2];
    }

    return _mkNumberUtil2.default.sub.apply(_mkNumberUtil2.default, [value].concat(args));
  });
  Vue.filter('mathDiv', function (value) {
    for (var _len3 = arguments.length, args = Array(_len3 > 1 ? _len3 - 1 : 0), _key3 = 1; _key3 < _len3; _key3++) {
      args[_key3 - 1] = arguments[_key3];
    }

    return _mkNumberUtil2.default.div.apply(_mkNumberUtil2.default, [value].concat(args));
  });
  Vue.filter('mathMul', function (value) {
    for (var _len4 = arguments.length, args = Array(_len4 > 1 ? _len4 - 1 : 0), _key4 = 1; _key4 < _len4; _key4++) {
      args[_key4 - 1] = arguments[_key4];
    }

    return _mkNumberUtil2.default.mul.apply(_mkNumberUtil2.default, [value].concat(args));
  });
  Vue.filter('mathMax', function (value) {
    for (var _len5 = arguments.length, args = Array(_len5 > 1 ? _len5 - 1 : 0), _key5 = 1; _key5 < _len5; _key5++) {
      args[_key5 - 1] = arguments[_key5];
    }

    return _mkNumberUtil2.default.max.apply(_mkNumberUtil2.default, [value].concat(args));
  });
  Vue.filter('mathMin', function (value) {
    for (var _len6 = arguments.length, args = Array(_len6 > 1 ? _len6 - 1 : 0), _key6 = 1; _key6 < _len6; _key6++) {
      args[_key6 - 1] = arguments[_key6];
    }

    return _mkNumberUtil2.default.min.apply(_mkNumberUtil2.default, [value].concat(args));
  });
};
exports.default = {
  install: install
};