module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 604);
/******/ })
/************************************************************************/
/******/ ({

/***/ 604:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


exports.__esModule = true;

var _vuex = __webpack_require__(91);

var _mkI18n = __webpack_require__(605);

var _mkI18n2 = _interopRequireDefault(_mkI18n);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * 通用vue模版
 * */
exports.default = {
  computed: (0, _vuex.mapState)({
    user: 'user',
    basePath: 'basePath',
    config: 'config',
    wsPath: 'wsPath',
    token: 'token',
    viewAction: 'viewAction',
    uploadAction: 'uploadAction'
  }),
  methods: {
    BIND_USER: (0, _vuex.mapMutations)(['BIND_USER']).BIND_USER,
    BIND_LOADING: (0, _vuex.mapMutations)(['BIND_LOADING']).BIND_LOADING,
    i18n: function i18n(key) {
      var keys = key.split('.');
      var i = 0;
      var j = keys.length;
      var obj = _mkI18n2.default;

      while (obj !== undefined && i < j) {
        obj = obj[keys[i++]];
      }
      return obj;
    }
  },
  mounted: function mounted() {
    this.BIND_LOADING(false);
  },
  activated: function activated() {
    this.BIND_LOADING(false);
  }
};

/***/ }),

/***/ 605:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var i18n = {
  routers: {
    no_user: '请登录后访问!',
    no_role: '您无权访问此菜单!',
    not_found: '页面不存在'
  },
  data: {
    empty: '亲，没有找到符合条件的记录!',
    loading: '拼命加载中...',
    saveing: '正在保存,请稍候...'
  },
  findI18n: function findI18n(key) {
    if (key) {
      var keys = key.split('.');
      var i = 0;
      var j = keys.length;
      var obj = i18n;
      while (obj !== undefined && i < j) {
        obj = obj[keys[i++]];
      }
      return obj;
    } else {
      return '';
    }
  }
};

module.exports = i18n;

/***/ }),

/***/ 91:
/***/ (function(module, exports) {

module.exports = require("vuex");

/***/ })

/******/ });