'use strict';

exports.__esModule = true;
var _calcWidth = function _calcWidth() {
  var noScroll = void 0;
  var scroll = void 0;
  var oDiv = document.createElement('DIV');
  oDiv.style.cssText = 'position:absolute; top:-1000px; width:100px; height:100px; overflow:hidden;';
  noScroll = document.body.appendChild(oDiv).clientWidth;
  oDiv.style.overflowY = 'scroll';
  scroll = oDiv.clientWidth;
  document.body.removeChild(oDiv);
  return noScroll - scroll;
};
var install = function install(Vue) {
  Vue.prototype.$scrollWidth = _calcWidth();
};
exports.default = {
  install: install
};