'use strict';

exports.__esModule = true;

var _mkNumberUtil = require('mk-element-ui2/lib/utils/mk-number-util');

var _mkNumberUtil2 = _interopRequireDefault(_mkNumberUtil);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var install = function install(Vue) {
  Vue.prototype.$mathMoney = function (value, prefix, def) {
    return _mkNumberUtil2.default.money(value, prefix, def);
  };
  Vue.prototype.$mathMoneyIf = function (value) {
    var flag = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    var prefix = arguments[2];
    var def = arguments[3];

    if (flag === true) {
      return _mkNumberUtil2.default.money(value, prefix, def);
    } else {
      return value;
    }
  };
  Vue.prototype.$mathAdd = function () {
    return _mkNumberUtil2.default.add.apply(_mkNumberUtil2.default, arguments);
  };
  Vue.prototype.$mathRound = function (value, numDigits, upOrDown) {
    return _mkNumberUtil2.default.round(value, numDigits, upOrDown);
  };
  Vue.prototype.$mathSub = function () {
    return _mkNumberUtil2.default.sub.apply(_mkNumberUtil2.default, arguments);
  };
  Vue.prototype.$mathDiv = function () {
    return _mkNumberUtil2.default.div.apply(_mkNumberUtil2.default, arguments);
  };
  Vue.prototype.$mathMul = function () {
    return _mkNumberUtil2.default.mul.apply(_mkNumberUtil2.default, arguments);
  };
  Vue.prototype.$mathMax = function () {
    return _mkNumberUtil2.default.max.apply(_mkNumberUtil2.default, arguments);
  };
  Vue.prototype.$mathMin = function () {
    return _mkNumberUtil2.default.min.apply(_mkNumberUtil2.default, arguments);
  };
};
exports.default = {
  install: install
};