'use strict';

exports.__esModule = true;

var _type$BIND_USER$type$;

var _mutationTypes = require('./mutation-types');

var type = _interopRequireWildcard(_mutationTypes);

var _mkCacheUtil = require('mk-element-ui2/lib/utils/mk-cache-util');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

exports.default = (_type$BIND_USER$type$ = {}, _type$BIND_USER$type$[type.BIND_USER] = function (state, info) {
  state.user = info;
  if (info.devid) {
    (0, _mkCacheUtil.set)(_mkCacheUtil.keys.devid, info.devid);
  }
  (0, _mkCacheUtil.set)(_mkCacheUtil.keys.user, info);
}, _type$BIND_USER$type$[type.BIND_MENUS] = function (state, menus) {
  state.menus = menus;
  (0, _mkCacheUtil.set)(_mkCacheUtil.keys.menus, state.menus);
}, _type$BIND_USER$type$[type.BIND_DATAPERMISSION] = function (state, permissions) {
  state.dataPermission = permissions;
  (0, _mkCacheUtil.set)(_mkCacheUtil.keys.dataPermission, state.dataPermission);
}, _type$BIND_USER$type$[type.UNBIND_ALL] = function (state) {
  state.user = null;
  (0, _mkCacheUtil.clear)();
}, _type$BIND_USER$type$[type.BIND_CONFIG] = function (state, config) {
  state.config = config;
  (0, _mkCacheUtil.set)(_mkCacheUtil.keys.config, config);
}, _type$BIND_USER$type$[type.BIND_TABS] = function (state, menus) {
  state.tabs = menus;
  (0, _mkCacheUtil.set)(_mkCacheUtil.keys.tabs, state.tabs);
}, _type$BIND_USER$type$[type.BIND_LOADING] = function (state, menus) {
  state.loading = menus;
}, _type$BIND_USER$type$[type.BIND_BASEPATH] = function (state, path) {
  state.basePath = path;
}, _type$BIND_USER$type$[type.BIND_INDEX] = function (state, index) {
  state.index = index;
}, _type$BIND_USER$type$[type.BIND_WSPATH] = function (state, path) {
  state.wsPath = path;
}, _type$BIND_USER$type$[type.BIND_URIS] = function (state, path) {
  state.uris = path;
  (0, _mkCacheUtil.set)(_mkCacheUtil.keys.uris, state.uris);
}, _type$BIND_USER$type$[type.BIND_TITLE] = function (state, path) {
  state.title = path;
}, _type$BIND_USER$type$[type.BIND_TOKEN] = function (state, token) {
  state.token = token;
}, _type$BIND_USER$type$[type.BIND_VIEW_ACTION] = function (state, act) {
  state.viewAction = act;
}, _type$BIND_USER$type$[type.BIND_UPLOAD_ACTION] = function (state, act) {
  state.uploadAction = act;
}, _type$BIND_USER$type$);