'use strict';

var _stringify = require('babel-runtime/core-js/json/stringify');

var _stringify2 = _interopRequireDefault(_stringify);

var _jsBase = require('js-base64');

var _md = require('md5');

var _md2 = _interopRequireDefault(_md);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var __guid = function __guid() {
  var c = new Date();
  var b = String(c.getSeconds());
  var d = String(c.getMinutes());
  var e = String(c.getMilliseconds());

  for (var i = b.length, j = 2; i < j; i++) {
    b = '0' + b;
  }
  for (var _i = d.length, _j = 2; _i < _j; _i++) {
    d = '0' + d;
  }
  for (var _i2 = e.length, _j2 = 3; _i2 < _j2; _i2++) {
    e = '0' + e;
  }
  return b + d + e + ((1 + Math.random()) * 0x10000 | 0).toString(16).substring(1) + ((1 + Math.random()) * 0x10000 | 0).toString(16);
};
var guid = function guid() {
  var time = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 1;

  var result = '';

  for (var i = 0; i < time; i++) {
    result += __guid();
  }
  return result.toUpperCase();
};
var _SPLIT = '^*^';
var _SCRIT = 'O0o1IliI01lIl0oooOOO';
var productMode = void 0;
var _set = function _set(key, value) {
  if (productMode === true) {
    var randomKey = guid();
    var saveTime = Number(new Date());
    var signToken = (0, _md2.default)(key + saveTime + randomKey + value + _SCRIT);

    value = signToken + _SPLIT + saveTime + _SPLIT + randomKey + _SPLIT + value;
    window.sessionStorage.setItem(key, _jsBase.Base64.encode(value));
  } else {
    window.sessionStorage.setItem(key, value);
  }
};
var _get = function _get(key) {
  var value = window.sessionStorage.getItem(key);
  if (value && productMode === true) {
    value = _jsBase.Base64.decode(value);
    value = value.split(_SPLIT);
    if (value.length === 4) {
      var signToken = value[0];
      var saveTime = value[1];
      var randomKey = value[2];
      var value_ = value[3];
      var sign = (0, _md2.default)(key + saveTime + randomKey + value_ + _SCRIT);

      if (signToken === sign) {
        return value_;
      }
    }
  } else {
    return value;
  }
};
var keys = {
  user: 'oo0OOO0o',
  menus: 'O0o0OOoo',
  config: 'oO0o0O00',
  tabs: 'oOoo0Ooo',
  dataPermission: 'ooOO00Oo',
  uris: '00ooOOoo',
  devid: 'xxxx98'
};
var set = function set(name, content) {
  if (!name) {
    return;
  }
  if (typeof content !== 'string') {
    content = (0, _stringify2.default)(content);
  }
  _set(name, content);
};
var get = function get(name) {
  if (!name) {
    return;
  }
  return _get(name);
};
var remove = function remove(name) {
  if (!name) {
    return;
  }
  window.sessionStorage.removeItem(name);
};
var clear = function clear() {
  window.sessionStorage.clear();
};
module.exports = {
  keys: keys,
  set: set,
  get: get,
  remove: remove,
  clear: clear,
  productMode: productMode,
  guid: guid
};

module.exports.default = module.exports;