"use strict";

exports.__esModule = true;
exports.excutePrint = undefined;

var _regenerator = require("babel-runtime/regenerator");

var _regenerator2 = _interopRequireDefault(_regenerator);

var _getIterator2 = require("babel-runtime/core-js/get-iterator");

var _getIterator3 = _interopRequireDefault(_getIterator2);

var _promise = require("babel-runtime/core-js/promise");

var _promise2 = _interopRequireDefault(_promise);

var _asyncToGenerator2 = require("babel-runtime/helpers/asyncToGenerator");

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

// printAttr:打印设置的一些属性
// --orient:打印方向
// --width:打印页宽
// --height:打印页高

// list：打印设计时托运的显示项

// refs：页面上VUE定义的变量，取DOM元素时用到，目前只支持表格。

// data：为JSON数据项，用于替换list参数中数据源为JSON数据源。

// selectedPrinter:用户选择的打印机。
var excutePrint = exports.excutePrint = function () {
  var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee(printAttr, list, refs, data, selectedPrinter) {
    var imgdata, seeWidth, seeHeight, j, item, ttop, tleft, _iterator, _isArray, _i, _ref2, table;

    return _regenerator2.default.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            LODOP.SET_PRINT_STYLEA(0, 'HtmWaitMilSecs', 1000);
            LODOP.PRINT_INIT('口袋仓打印' + new Date().getTime() + Math.random());
            LODOP.SET_PRINTER_INDEX(selectedPrinter != null ? selectedPrinter : -1);
            LODOP.SET_PRINT_PAGESIZE(printAttr.orient, printAttr.width + 'mm', printAttr.height + 'mm', 'CreateCustomPage');
            // LODOP.SET_PRINT_MODE("POS_BASEON_PAPER",true);

            if (!(printAttr.printimage === 'true')) {
              _context.next = 10;
              break;
            }

            _context.next = 7;
            return new _promise2.default(function (resolve) {
              var image = new Image();

              image.setAttribute('crossOrigin', 'anonymous');
              image.src = refs.backimg.src;
              image.onload = function () {
                var canvas = document.createElement('canvas');

                canvas.width = image.width;
                canvas.height = image.height;
                var ctx = canvas.getContext('2d');

                ctx.drawImage(image, 0, 0, image.width, image.height);
                var dataURL = canvas.toDataURL('image/jpeg');

                resolve(dataURL);
              };
            });

          case 7:
            imgdata = _context.sent;


            LODOP.ADD_PRINT_IMAGE(0, 0, printAttr.width + 'mm', printAttr.height + 'mm', imgdata);
            LODOP.SET_PRINT_STYLEA(0, 'Stretch', 2); // 按原图比例(不变形)缩放模式

          case 10:
            seeWidth = void 0;
            seeHeight = void 0;


            if (refs.backimg && printAttr.pagename !== 'A4') {
              // 换算实际打印和图片的长宽比例，有两种情况，第一种是有图片时，按照图片来
              if (printAttr.orient === '1') {
                seeWidth = 1000 * 25.4 / 96 / printAttr.width;
                seeHeight = seeWidth;
              } else if (printAttr.orient === '2') {
                seeHeight = 1000 * 25.4 / 96 / printAttr.height;
                seeWidth = seeHeight;
              }
            } else {
              // 目前没有图片只支持A4，页面上用div来模拟，794*1123  和210mm*297mm是1:1
              seeWidth = 1;
              seeHeight = 1;
            }

            _context.t0 = _regenerator2.default.keys(list);

          case 14:
            if ((_context.t1 = _context.t0()).done) {
              _context.next = 48;
              break;
            }

            j = _context.t1.value;
            item = list[j];
            ttop = _mkNumberUtil2.default.round(item.ttop * 25.4 / 96 / seeHeight);
            tleft = _mkNumberUtil2.default.round(item.tleft * 25.4 / 96 / seeWidth);

            if (!(item.datasource === '1')) {
              _context.next = 23;
              break;
            }

            // JSON取数据的情况
            LODOP.ADD_PRINT_TEXT(ttop + "mm", tleft + "mm", item.width, item.height, item.ismoney === 'true' ? _mkNumberUtil2.default.money(data[item.field]) : data[item.field]);
            _context.next = 42;
            break;

          case 23:
            if (!(item.datasource === '2')) {
              _context.next = 41;
              break;
            }

            _iterator = refs[item.field], _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);

          case 25:
            if (!_isArray) {
              _context.next = 31;
              break;
            }

            if (!(_i >= _iterator.length)) {
              _context.next = 28;
              break;
            }

            return _context.abrupt("break", 39);

          case 28:
            _ref2 = _iterator[_i++];
            _context.next = 35;
            break;

          case 31:
            _i = _iterator.next();

            if (!_i.done) {
              _context.next = 34;
              break;
            }

            return _context.abrupt("break", 39);

          case 34:
            _ref2 = _i.value;

          case 35:
            table = _ref2;

            LODOP.ADD_PRINT_TABLE(ttop + "mm", tleft + "mm", item.width, item.height, "" + table.outerHTML);

          case 37:
            _context.next = 25;
            break;

          case 39:
            _context.next = 42;
            break;

          case 41:
            if (item.datasource === '3') {
              // 自定义文本取数据的情况
              LODOP.ADD_PRINT_TEXT(ttop + "mm", tleft + "mm", item.width, item.height, item.name);
            }

          case 42:
            if (item.itemtype) {
              LODOP.SET_PRINT_STYLEA(0, 'ItemType', item.itemtype);
            }
            LODOP.SET_PRINT_STYLEA(0, 'FontSize', item.fontsize);
            LODOP.SET_PRINT_STYLEA(0, 'FontName', item.fontfamily);
            LODOP.SET_PRINT_STYLEA(0, 'Bold', item.fontweight === 'bold' ? 1 : 0);
            _context.next = 14;
            break;

          case 48:
            // LODOP.PREVIEW(); //在新的浏览器窗口显示打印预览
            LODOP.PRINT(); // 在新的浏览器窗口显示打印预览

          case 49:
          case "end":
            return _context.stop();
        }
      }
    }, _callee, this);
  }));

  return function excutePrint(_x, _x2, _x3, _x4, _x5) {
    return _ref.apply(this, arguments);
  };
}();

exports.getLodop = getLodop;

var _mkNumberUtil = require("mk-element-ui2/lib/utils/mk-number-util");

var _mkNumberUtil2 = _interopRequireDefault(_mkNumberUtil);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CreatedOKLodop7766 = null;

// ====判断是否需要安装CLodop云打印服务器:====
/* eslint-disable */
function needCLodop() {
  try {
    var ua = navigator.userAgent;

    if (ua.match(/Windows\sPhone/i) != null) {
      return true;
    }
    if (ua.match(/iPhone|iPod/i) != null) {
      return true;
    }
    if (ua.match(/Android/i) != null) {
      return true;
    }
    if (ua.match(/Edge\D?\d+/i) != null) {
      return true;
    }

    var verTrident = ua.match(/Trident\D?\d+/i);
    var verIE = ua.match(/MSIE\D?\d+/i);
    var verOPR = ua.match(/OPR\D?\d+/i);
    var verFF = ua.match(/Firefox\D?\d+/i);
    var x64 = ua.match(/x64/i);

    if (verTrident == null && verIE == null && x64 !== null) {
      return true;
    } else if (verFF !== null) {
      verFF = verFF[0].match(/\d+/);
      if (verFF[0] >= 41 || x64 !== null) {
        return true;
      }
    } else if (verOPR !== null) {
      verOPR = verOPR[0].match(/\d+/);
      if (verOPR[0] >= 32) {
        return true;
      }
    } else if (verTrident == null && verIE == null) {
      var verChrome = ua.match(/Chrome\D?\d+/i);

      if (verChrome !== null) {
        verChrome = verChrome[0].match(/\d+/);
        if (verChrome[0] >= 41) {
          return true;
        }
      }
    }
    return false;
  } catch (err) {
    return true;
  }
}

// ====获取LODOP对象的主过程：====
function getLodop(oOBJECT, oEMBED, vueObj) {
  var strHtmInstall = "<br><font color='#FF00FF'>打印控件未安装!点击这里<a href='http://www.c-lodop.com/download/CLodop_Setup_for_Win32NT_https_3.028Extend.zip' target='_self'>执行安装</a>,安装后请刷新页面或重新进入。</font>";
  var strHtmUpdate = "<br><font color='#FF00FF'>打印控件需要升级!点击这里<a href='http://www.c-lodop.com/download/CLodop_Setup_for_Win32NT_https_3.028Extend.zip' target='_self'>执行升级</a>,升级后请重新进入。</font>";
  var strHtm64Install = "<br><font color='#FF00FF'>打印控件未安装!点击这里<a href='http://www.c-lodop.com/download/CLodop_Setup_for_Win32NT_https_3.028Extend.zip' target='_self'>执行安装</a>,安装后请刷新页面或重新进入。</font>";
  var strHtm64Update = "<br><font color='#FF00FF'>打印控件需要升级!点击这里<a href='http://www.c-lodop.com/download/CLodop_Setup_for_Win32NT_https_3.028Extend.zip' target='_self'>执行升级</a>,升级后请重新进入。</font>";
  var strHtmFireFox = "<br><br><font color='#FF00FF'>（注意：如曾安装过Lodop旧版附件npActiveXPLugin,请在【工具】->【附加组件】->【扩展】中先卸它）</font>";
  var strHtmChrome = "<br><br><font color='#FF00FF'>(如果此前正常，仅因浏览器升级或重安装而出问题，需重新执行以上安装）</font>";
  var strCLodopInstall = "<br><font color='#FF00FF'>请安装新版CLodop云打印服务!点击这里<a href='http://www.c-lodop.com/download/CLodop_Setup_for_Win32NT_https_3.028Extend.zip' target='_self'>下载插件</a>,安装后请刷新页面。</font>";
  var strCLodopUpdate = "<br><font color='#FF00FF'>CLodop云打印服务需升级!点击这里<a href='http://www.c-lodop.com/download/CLodop_Setup_for_Win32NT_https_3.028Extend.zip' target='_self'>执行升级</a>,升级后请刷新页面。</font>";
  var LODOP = void 0;

  try {
    var isIE = navigator.userAgent.indexOf('MSIE') >= 0 || navigator.userAgent.indexOf('Trident') >= 0;

    if (needCLodop()) {
      try {
        /* eslint-disable no-undef */
        LODOP = getCLodop();
      } catch (err) {}

      if (!LODOP && document.readyState !== 'complete') {
        alert('C-Lodop没准备好，请稍后再试！');
        return;
      }
      if (!LODOP) {
        if (isIE) {
          document.write(strCLodopInstall);
        } else {
          vueObj.$alert(strCLodopInstall, '请安装C-Lodop新版本', {
            dangerouslyUseHTMLString: true
          });
          return;
        }
      } else {
        if (CLODOP.CVERSION < '3.0.2.5') {
          if (isIE) {
            document.write(strCLodopUpdate);
          } else {
            vueObj.$alert(strCLodopUpdate, '请安装C-Lodop新版本', {
              dangerouslyUseHTMLString: true
            });
          }
        }
        if (oEMBED && oEMBED.parentNode) {
          oEMBED.parentNode.removeChild(oEMBED);
        }
        if (oOBJECT && oOBJECT.parentNode) {
          oOBJECT.parentNode.removeChild(oOBJECT);
        }
      }
    } else {
      var is64IE = isIE && navigator.userAgent.indexOf('x64') >= 0;
      // =====如果页面有Lodop就直接使用，没有则新建:==========

      if (oOBJECT !== undefined || oEMBED !== undefined) {
        if (isIE) {
          LODOP = oOBJECT;
        } else {
          LODOP = oEMBED;
        }
      } else if (CreatedOKLodop7766 == null) {
        LODOP = document.createElement('object');
        LODOP.setAttribute('width', 0);
        LODOP.setAttribute('height', 0);
        LODOP.setAttribute('style', 'position:absolute;left:0px;top:-100px;width:0px;height:0px;');
        if (isIE) {
          LODOP.setAttribute('classid', 'clsid:2105C259-1E0C-4534-8141-A753534CB4CA');
        } else {
          LODOP.setAttribute('type', 'application/x-print-lodop');
        }
        document.documentElement.appendChild(LODOP);
        CreatedOKLodop7766 = LODOP;
      } else {
        LODOP = CreatedOKLodop7766;
      }
      // =====Lodop插件未安装时提示下载地址:==========
      if (LODOP == null || typeof LODOP.VERSION === 'undefined') {
        if (navigator.userAgent.indexOf('Chrome') >= 0) {
          document.body.innerHTML = strHtmChrome + document.body.innerHTML;
        }
        if (navigator.userAgent.indexOf('Firefox') >= 0) {
          document.body.innerHTML = strHtmFireFox + document.body.innerHTML;
        }
        if (is64IE) {
          document.write(strHtm64Install);
        } else if (isIE) {
          document.write(strHtmInstall);
        } else {
          document.body.innerHTML = strHtmInstall + document.body.innerHTML;
        }
        return LODOP;
      }
    }
    if (LODOP.VERSION < '6.2.2.0') {
      if (!needCLodop()) {
        if (is64IE) {
          document.write(strHtm64Update);
        } else if (isIE) {
          document.write(strHtmUpdate);
        } else {
          document.body.innerHTML = strHtmUpdate + document.body.innerHTML;
        }
      }
      return LODOP;
    }
    // ===如下空白位置适合调用统一功能(如注册语句、语言选择等):===
    LODOP.SET_LICENSES('山西四和创想科技有限公司', 'F3F6CC898EE17DEF52FD13E8A683CA27', '', '');
    // ===========================================================
    return LODOP;
  } catch (err) {
    alert('getLodop出错:' + err);
  }
}