'use strict';

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _getIterator2 = require('babel-runtime/core-js/get-iterator');

var _getIterator3 = _interopRequireDefault(_getIterator2);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var _promise = require('babel-runtime/core-js/promise');

var _promise2 = _interopRequireDefault(_promise);

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable */
var p = function p(_ref) {
  var _this = this;

  var fn = _ref.fn,
      target = _ref.target,
      _ref$nodejs = _ref.nodejs,
      nodejs = _ref$nodejs === undefined ? true : _ref$nodejs;

  return function () {
    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    // eslint-disable-next-line no-undef
    return new _promise2.default(function (resolve, reject) {
      args.push(function (err) {
        for (var _len2 = arguments.length, data = Array(_len2 > 1 ? _len2 - 1 : 0), _key2 = 1; _key2 < _len2; _key2++) {
          data[_key2 - 1] = arguments[_key2];
        }

        if (nodejs === false) return resolve.apply(_this, [err].concat(data));
        if (err === null || err === undefined) return resolve.apply(_this, data);
        return reject(err);
      });
      if (target) fn.apply(target, args);else fn.apply(null, args);
    });
  };
};
var ensure = function ensure(poiont, msg) {
  if (!poiont) throw msg;
};
var argv = process.argv;
ensure(argv.length === 3, '必须指明文件路径!如npm run create cpChargeLevel/charge-level-form');
var fil = argv[2];
var f = fil.split('/');
var temp = {
  vue: function vue(name) {
    return '<template>\n    <div></div>\n  </template>\n  <script>\n      import mix from \'@/mix\'\n      import msg from \'@/msg/' + name + '\'\n      \n      export default {\n        mixins: [mix],\n        data(){\n            return {}\n        },\n        components:{},\n        methods:{\n            \n        }\n      }\n  </script>';
  },
  ms: function ms() {
    return 'export default {\n  }';
  }
};
var exists = p({ fn: _fs2.default.stat, nodejs: false });
var mkdir = p({ fn: _fs2.default.mkdir });
// eslint-disable-next-line 
var mkdirsSync = function () {
  var _ref2 = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee(dirpath, mode) {
    var pathtmp, ps, _iterator, _isArray, _i, _ref3, dirname;

    return _regenerator2.default.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            _context.next = 2;
            return exists(dirpath);

          case 2:
            if (_context.sent) {
              _context.next = 31;
              break;
            }

            pathtmp = void 0;
            ps = dirpath.split(_path2.default.sep);
            _iterator = ps, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);

          case 6:
            if (!_isArray) {
              _context.next = 12;
              break;
            }

            if (!(_i >= _iterator.length)) {
              _context.next = 9;
              break;
            }

            return _context.abrupt('break', 31);

          case 9:
            _ref3 = _iterator[_i++];
            _context.next = 16;
            break;

          case 12:
            _i = _iterator.next();

            if (!_i.done) {
              _context.next = 15;
              break;
            }

            return _context.abrupt('break', 31);

          case 15:
            _ref3 = _i.value;

          case 16:
            dirname = _ref3;

            if (pathtmp) pathtmp = _path2.default.join(pathtmp, dirname);else pathtmp = dirname;
            _context.next = 20;
            return exists(pathtmp);

          case 20:
            if (_context.sent) {
              _context.next = 29;
              break;
            }

            _context.prev = 21;
            _context.next = 24;
            return mkdir(pathtmp, mode);

          case 24:
            _context.next = 29;
            break;

          case 26:
            _context.prev = 26;
            _context.t0 = _context['catch'](21);
            return _context.abrupt('return', false);

          case 29:
            _context.next = 6;
            break;

          case 31:
            return _context.abrupt('return', true);

          case 32:
          case 'end':
            return _context.stop();
        }
      }
    }, _callee, undefined, [[21, 26]]);
  }));

  return function mkdirsSync(_x, _x2) {
    return _ref2.apply(this, arguments);
  };
}();
var writeFile = p({ fn: _fs2.default.writeFile });
var main = function () {
  var _ref4 = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee2() {
    var viewPath, msgPath;
    return _regenerator2.default.wrap(function _callee2$(_context2) {
      while (1) {
        switch (_context2.prev = _context2.next) {
          case 0:
            viewPath = _path2.default.resolve(argv[1], '../../', 'src', 'views', f.slice(0, -1).join('/'));
            msgPath = _path2.default.resolve(argv[1], '../../', 'src', 'msg', f.slice(0, -1).join('/'));
            _context2.next = 4;
            return mkdirsSync(viewPath);

          case 4:
            _context2.next = 6;
            return mkdirsSync(msgPath);

          case 6:
            viewPath = viewPath + _path2.default.sep + f.slice(-1) + '.vue';
            msgPath = msgPath + _path2.default.sep + f.slice(-1) + '.js';
            _context2.t0 = ensure;
            _context2.next = 11;
            return exists(viewPath);

          case 11:
            _context2.t1 = _context2.sent;
            _context2.t2 = _context2.t1 === false;
            _context2.t3 = viewPath + '\u5DF2\u7ECF\u5B58\u5728!';
            (0, _context2.t0)(_context2.t2, _context2.t3);
            _context2.t4 = ensure;
            _context2.next = 18;
            return exists(msgPath);

          case 18:
            _context2.t5 = _context2.sent;
            _context2.t6 = _context2.t5 === false;
            _context2.t7 = msgPath + '\u5DF2\u7ECF\u5B58\u5728!';
            (0, _context2.t4)(_context2.t6, _context2.t7);
            _context2.next = 24;
            return writeFile(viewPath, temp.vue(f.slice(-1)));

          case 24:
            _context2.next = 26;
            return writeFile(msgPath, temp.ms());

          case 26:
          case 'end':
            return _context2.stop();
        }
      }
    }, _callee2, undefined);
  }));

  return function main() {
    return _ref4.apply(this, arguments);
  };
}();
main().then(function () {
  console.log('over');
  process.exit();
}).catch(function (e) {
  return console.log(e);
});